Subject: bug#35495: 27.0.50; Untarring an archive with a keyring.gpg inside

From: Stefan Monnier <[email-masked]>
Date: Sat, 11 May 2019 15:55:01 -0400

>> So this FIXME suggests maybe we should introduce a new file operation
>> `write-region-literally`?
> Probably.  But the question of what should that do (since you rejected
> tweaking inhibit-file-name-operation for that) still stands, I think.

In the absence of a file-name-handler, it should just defer to write-region.

> And I'm not sure we will always want to disable encoding and EOL
> conversion, so that should be an add-on for "truly" literal I/O.

I am.  I'd even say it should signal an error if the buffer isn't unibyte.
Anything else would be asking for trouble.

        Stefan